﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Reflection;
using Infragistics.Windows;
using Infragistics.Windows.Themes;

namespace MyThemePack.ResourceSets.OrangePeel
{
    public class DataPresenter : DataPresenterResourceSet<Locator> 
    {
        private static DataPresenter g_Instance;

        public static DataPresenter Instance
        {
            get
            {
                if (g_Instance == null)
                    g_Instance = new DataPresenter();
                return g_Instance;
            }
        }
    }

    [EditorBrowsable(EditorBrowsableState.Never)]
    public class Locator : ResourceSetLocator
    {
        public override Assembly Assembly { get { return this.GetType().Assembly; } }
        public override string Theme { get { return "OrangePeel"; } }
        public override string Grouping { get { return DataPresenterGeneric.Instance.Grouping; } }
        public override string ResourcePath { get { return @"ResourceSets\DataPresenter\DataPresenter.xaml"; } }
    }

}
